﻿@model IEnumerable<Heir>
@{
    bool specialNeeds = ViewBag.SpecialNeedsTrust;
}
<div class="d-flex mb-5">
    <div>
        <h4 class="text-dark font-weight-bold mt-2 mb-5 mr-5">Please provide us the details about your family</h4>
    </div>
    <div>
        <button class="btn btn-primary font-weight-bold btn-sm btn-heir-add mb-2"><i class="fas fa-plus"></i> New Heir</button>
    </div>
    <div class="ml-auto">
        <button class="btn btn-secondary font-weight-bold px-6 py-2 btn-next" id="btn-save-exit">Save & Exit</button>
    </div>
</div>
<div class="wizard-content-height">
    <div class="row" id="heir-main-div">
        @foreach (var item in Model)
        {
            <div class="col-xl-6 heir-info-div d-flex" id="heirinfo-@item.Guid">
                <div class="card card-custom gutter-b shadow-none heir-card bg-gray-100 border border-danger w-100">
                    <div class="card-header bg-danger">
                        <div class="card-title m-0 w-75">
                            <h3 class="card-label font-size-h4">
                                <span class="font-weight-bold text-white">@item.FirstName @item.MiddleInitial @item.LastName</span>
                            </h3>
                        </div>
                        <div class="card-toolbar">
                            <button class="btn btn-icon btn-sm btn-heir-edit" data-guid="@item.Guid">
                                <i class="fas fa-pencil-alt text-white" data-toggle="tooltip" data-original-title="Edit"></i>
                            </button>
                            <button class="btn btn-icon btn-sm btn-heir-delete" data-guid="@item.Guid">
                                <i class="far fa-trash-alt text-white" data-toggle="tooltip" data-original-title="Delete"></i>
                            </button>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="font-size-h6">
                            <div class="d-flex align-items-start">
                                <span class="col-md-6 text-dark font-weight-bold p-0">Heir of:</span>
                                <span class="col-md-6 p-0">@item.HeirOfWithData</span>
                            </div>
                            <div class="d-flex align-items-center">
                                <span class="col-md-6 text-dark font-weight-bold p-0">Date Of Birth:</span>
                                <span class="col-md-6 p-0">@item.DateOfBirth.ToString("MMM dd, yyyy")</span>
                            </div>
                            <div class="d-flex align-items-start">
                                <span class="col-md-6 text-dark font-weight-bold p-0">Relationship:</span>
                                <span class="col-md-6 p-0">@item.RelationshipString</span>
                            </div>
                            <div class="d-flex align-items-center">
                                <span class="col-md-6 text-dark font-weight-bold p-0">Inheritance:</span>
                                <span class="col-md-6 p-0">@(item.Inheritance?"Yes":"No")</span>
                            </div>
                            <div class="d-flex align-items-center">
                                <span class="col-md-6 text-dark font-weight-bold p-0">Special Needs:</span>
                                <span class="col-md-6 heirspecialneed p-0">@(item.SpecialNeeds?"Yes":"No")</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        }
    </div>
    <div class="form-group d-none specialneed">
        <div class="d-flex">
            <div class="align-self-center mr-2">
                <span class="switch switch-icon switch-sm switch-custom">
                    <label>
                        <input type="checkbox" data-target-table="ClientData" id="SpecialNeedsTrust" name="SpecialNeedsTrust" @(specialNeeds ? "checked" : "")>
                        <span></span>
                    </label>
                </span>
            </div>
            <label class="col-form-label" for="SpecialNeedsTrust">
                If there is/ are special needs child(ren), has a Special Needs Trust been established for each heir with special needs?
            </label>
        </div>
    </div>
</div>
<partial name="_WizardFooter" />
<div class="modal" id="HeirModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"></div>
<script src="~/js/page/family-info.js" asp-append-version="true"></script>
<script>
    showHideSpecialNeed();
</script>
